Bug 524929 - perl.req error with here-docs, fix and other improvements
Summary: perl.req error with here-docs, fix and other improvements
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 18:20 UTC by Ville Skyttä
Modified: 2009-10-27 09:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-27 09:14:40 UTC


Attachments (Terms of Use)
Here-doc skipping/parsing improvements to perl.req (1.17 KB, patch)
2009-09-22 18:22 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2009-09-22 18:20:25 UTC
perl.req errors out when it tries to skip over some here-docs due to found identifiers ending up unquoted in regexp, and too lenient parsing of starting here-doc identifiers, for example:

http://kojipkgs.fedoraproject.org/packages/perl-PAR-Packer/0.991/3.fc12/data/logs/x86_64/build.log
Unmatched ) in regex; marked by <-- HERE in m/^';y;\r\n;;d;$_=pack'b*',$_;$_=eval;$@&&die$@;$_) <-- HERE ."\n$$ref\n\n/ at /usr/lib/rpm/perl.req line 89, <FILE> line 30.

Comment 1 Ville Skyttä 2009-09-22 18:22:26 UTC
Created attachment 362125 [details]
Here-doc skipping/parsing improvements to perl.req

Patch against upstream git

Comment 2 Panu Matilainen 2009-10-06 07:10:24 UTC
Applied upstream now, thanks for the patch!

Comment 3 Panu Matilainen 2009-10-27 09:14:40 UTC
This went into rawhide some time ago (rpm 4.7.1-7)


Note You need to log in before you can comment on or make changes to this bug.